Import from Etherscan
Smart Contract Verification API
Import from Etherscan
Import a contract verified on an Etherscan instance or a service with Etherscan-alike API
POST
Import from Etherscan
Documentation Index
Fetch the complete documentation index at: https://hedera-0c6e0218-mintlify-c868785f.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
The chainId number of the EVM chain
Required string length:
1 - 20Pattern:
^\d+$Example:
"11155111"
Contract's 20 byte address in hex string with the 0x prefix. Case insensitive.
Required string length:
42Pattern:
(\b0x[a-fA-F0-9]{40}\b)Example:
"0x2738d13E81e30bC615766A0410e7cF199FD59A83"
Body
application/json
API key to use when importing from the Etherscan instance or Etherscan-alike API.
Response
Successfully submitted the verification. The server started to process the verification.
You can follow the verification status via the returned verificationId at GET /v2/verify/{verificationId}